Name:		steadyflow		
Version:	0.2.0
Release:	4%{?dist}
Summary:	Simple download manager for GNOME

License:	GPLv3+
URL:		https://launchpad.net/steadyflow
Source0:	https://launchpad.net/%{name}/trunk/0.2.0/+download/%{name}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	vala
BuildRequires:	gtk3-devel
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	libnotify-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext

%description
GTK+ based download manager that aims for minimalism, ease of use,
and a clean, malleable code base. It should be easy to control, whether 
from the GUI, command line, or D-Bus

%prep
%setup -q
sed -i -e 's/_GenericName=Download Manager/GenericName=Download Manager/g' -i -e '11,17d' data/steadyflow.desktop.in

%build
CFLAGS="%{optflags} -Wno-unused-function -Wno-unused-but-set-variable -Wno-address"
CXXFLAGS="%{optflags} -Wno-unused-function -Wno-unused-but-set-variable -Wno-address"
LDFLAGS="%{optflags}"
export CFLAGS CXXFLAGS LDFLAGS
%cmake -DCOMPILE_GSETTINGS_ON_INSTALL=NO -DWANT_AYATANA=NO
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas >&/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas >&/dev/null || :

%files -f %{name}.lang
%doc COPYING README AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/glib-2.0/schemas/net.launchpad.steadyflow.gschema.xml
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Dec 02 2012 Eduardo Echeverria <echevemaster@gmail.com> - 0.2.0-1
- Initial packaging

